Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/mbedtls: fixes #4537

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Wed, 23 Dec 2015 19:23:39 +0000

fixes #4537
---
v1 ---> v2: commit msg & sed revised
 testing/mbedtls/APKBUILD | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)
diff --git a/testing/mbedtls/APKBUILD b/testing/mbedtls/APKBUILD
index bf26d10..dcbc6b6 100644
--- a/testing/mbedtls/APKBUILD
+++ b/testing/mbedtls/APKBUILD
_at_@ -2,7 +2,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=mbedtls
 pkgver=2.2.0
-pkgrel=0
+pkgrel=1
 pkgdesc="Light-weight cryptographic and SSL/TLS library"
 url="https://tls.mbed.org/"
 arch="all"
_at_@ -27,12 +27,15 @@ prepare() {
 
 build() {
 	cd "$_builddir"
+	# enable flags for non-embedded systems
+	sed -i -e 's|//\(#define MBEDTLS_THREADING_C\)|\1|' -e 's|//\(#define MBEDTLS_THREADING_PTHREAD\)|\1|' include/mbedtls/config.h
 	cmake . \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_BUILD_TYPE="Release" \
 		-DUSE_SHARED_MBEDTLS_LIBRARY=1 \
 		|| return 1
 	make || return 1
+	make test || return 1
 }
 
 package() {
-- 
2.6.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Dec 23 2015 - 19:23:39 GMT